petsc-3.12.1 2019-10-22
Report Typos and Errors

# VecAssemblyBegin

Begins assembling the vector. This routine should be called after completing all calls to VecSetValues().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecAssemblyBegin(Vec vec)

Collective on Vec

### Input Parameter

vec -the vector

### See Also

VecAssemblyEnd(), VecSetValues()

### Level

beginner

### Location

src/vec/vec/interface/vector.c

### Examples

src/vec/vec/examples/tutorials/ex2.c.html
src/vec/vec/examples/tutorials/ex3.c.html
src/vec/vec/examples/tutorials/ex5.c.html
src/vec/vec/examples/tutorials/ex8.c.html
src/vec/vec/examples/tutorials/ex9.c.html
src/vec/vec/examples/tutorials/ex10.c.html
src/vec/vec/examples/tutorials/ex15.c.html
src/vec/vec/examples/tutorials/ex18.c.html
src/vec/vec/examples/tutorials/ex2f.F.html
src/vec/vec/examples/tutorials/ex3f.F.html
src/vec/vec/examples/tutorials/ex4f.F.html

### Implementations

VecAssemblyBegin_MPI_BTS in src/vec/vec/impls/mpi/pbvec.c
VecAssemblyBegin_MPI in src/vec/vec/impls/mpi/pdvec.c
VecAssemblyBegin_Nest in src/vec/vec/impls/nest/vecnest.c
VecAssemblyBegin_Node in src/vec/vec/impls/node/vecnode.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages